/****
HidTouch input driver.
(c)2008 David SPORN

This driver deals with a hiddev device that is a touch screen

Supported models
Vendor;Model;Lsusb ids
ET&T;TC4UM;0664:0306.

Version 0008.10.x
This version is a simple driver that grabs the specified hiddev device
and generate mouse event. 
 ****/

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or 
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <asm/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/select.h>
#include <linux/hiddev.h>


#include <X11/extensions/XIproto.h>
#include <xf86.h>
#include <xf86_OSlib.h>
#include <xf86Xinput.h>


#include "hidtouch.h"

/****
To facilitate understanding, I split the driver in
several parts :
- One file per "class" (like for the HdtRawData struct)
- the framework needed by xorg to load the driver
- the driver work

The prefix "hdt" will be used throughout the source.
 ****/

/* class files */
#include "hidtouch__HdtRawData.c"
#include "hidtouch__HdtConfiguration.c"

/* framework & driver files */
#include "hidtouch__body.c"
#include "hidtouch__xorg_driver.c"
